Data - Retrieve Classes
Hiermee haalt u de lijst met klassen en hun eigenschappen op.
POST http://<Servername>/OperationsManager/data/scomClasses
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| criteria |
string |
Specificeer de criteria om te zoeken |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. De lijst met klassen en hun eigenschappen is opgehaald. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveClasses
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
Voorbeeldrespons
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
Definities
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Type | Description |
|---|---|---|
| className |
string |
Klassenaam |
| displayName |
string |
Weergavenaam |
| fullName |
string |
Volledige naam |
| id |
string |
ID-kaart |
| path |
string |
Pad |
ScopeDataResponse
| Name | Type | Description |
|---|---|---|
| scopeDatas |
Reikwijdte gegevens |